[P066]Patent Classification Description

get
https://connect.patsnap.com/basic-patent-data/classification-description
Try in Sandbox

Receive patent classification description data by corresponding classification type and code.

There must be all of the two request parameters of classification type and code. The API supports batch requests with a maximum of 10 classification codes, and more classification codes are separated with English comma. Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
code
stringC08G69/32
patent classification code, character length <= 150. Batch requests needs to be <= 10 classification codes, and separated by English commas
type
stringipc
patent classification type, enumeration value: ipc, character length <= 5

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
ipc
stringC08G69/32
ipc classification code
desc
array[ { "lang": "EN", "text": "... from aromatic diamines and aromatic dicarboxylic acids with both amino and carboxylic groups aromatically bound [2006.01]" }, { "lang": "CN", "text": "...由芳香族二胺与芳香族二酸得到的,氨基与羧基两者都是与芳香族结合的[2006.01]" } ]
ipc classification description
lang
stringEN
ipc classification description language
text
string... from aromatic diamines and aromatic dicarboxylic acids with both amino and carboxylic groups aromatically bound [2006.01]
ipc classification description text
parent
array[ { "ipc": "C", "desc": [ { "lang": "EN", "text": "CHEMISTRY; METALLURGY" }, { "lang": "CN", "text": "化学;冶金" } ] }, { "ipc": "C08", "desc": [ { "lang": "EN", "text": "ORGANIC MACROMOLECULAR COMPOUNDS; THEIR PREPARATION OR CHEMICAL WORKING-UP; COMPOSITIONS BASED THEREON" }, { "lang": "CN", "text": "有机高分子化合物;其制备或化学加工;以其为基料的组合物" } ] } ]
parent ipc classification
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "ipc": "C08G69/32",
      "desc": [
        {
          "lang": "EN",
          "text": "... from aromatic diamines and aromatic dicarboxylic acids with both amino and carboxylic groups aromatically bound [2006.01]"
        }
      ],
      "parent": [
        {
          "ipc": "C",
          "desc": [
            {
              "lang": "EN",
              "text": "CHEMISTRY; METALLURGY"
            },
            {
              "lang": "CN",
              "text": "化学;冶金"
            }
          ]
        },
        {
          "ipc": "C08",
          "desc": [
            {
              "lang": "EN",
              "text": "ORGANIC MACROMOLECULAR COMPOUNDS; THEIR PREPARATION OR CHEMICAL WORKING-UP; COMPOSITIONS BASED THEREON"
            },
            {
              "lang": "CN",
              "text": "有机高分子化合物;其制备或化学加工;以其为基料的组合物"
            }
          ]
        }
      ]
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms